/* 
 * Description - AngularJS Script for demonstration the 'Dependency Injection'
 * Created By - Yatin Batra  
 * */
var app = angular.module("myApp", []);

//============ (a) Injecting the service within a Angular controller =============//
app.controller('CalCtrl',function($scope, CalcService) {
	$scope.square = function() {
		$scope.result = CalcService.square($scope.number);
	}
});

//============ (b) Injecting the service within a Angular service =============//
app.service('CalcService', function(multiple) {
	this.square = function(a) {
		return multiple.square(a, a);
	}
});

//============ (c) Creating the Angular factory =============//
app.factory('multiple', function() {
	var factory = {};
	factory.square = function(a, b) {
		return a * b;
	}
	return factory;
});